* {
	margin: 0;
	padding: 0;
	box-sizing: border-box;
	font-family: 'Montserrat', sans-serif;
	scroll-behavior: smooth;
/*	border: 1px solid red;*/
}
section {
	width: 100%;
	height: 100vh;
	position: relative;


}

header {
	height: 92vh;
	width: 100%;
	background-color: rgba(0, 0, 0, 0.80);
	display: flex;
	justify-content: center;
	align-items: center;


}

header > div {
	height: 90%;
	width: 100%;
	display: flex;
	justify-content: space-between;
	align-items: center;
	flex-direction: column;
	


}
header	h4{
	position: relative;
	bottom: 0;
	color: whitesmoke;
}
header	h1{
	color: white;
	height: 50%;
	width: 80%;
	font-size: 4rem;
	text-align: center;
}

.logo{
	height: 150px;
	width: 150px;
	display: flex;
	justify-content: center;
	align-items: center;
}
.logo img{
	height: 350px;
	width: 350px;
}

#arrow {
	height: 25px;
	width: 25px;
}
#arrow:target {
	display: block;
}



#myVideo {
  position: fixed;
  right: 0;
  bottom: 0;
  top: 0;
  min-width: 10%; 
  min-height: 10%;
  width: 100%;
  height: auto;
  z-index: -1;
  background-attachment: fixed; 
  background-size: cover;
}

nav {
	height: 8vh;
	width: 100%;
	position: sticky;
	top: 0;
	z-index: 10;
	display: flex;
	justify-content: center;
	align-items: center;
	background-color: rgb(22,22,22);
}
nav:target{
	display: block;
}
.btn {
	padding: 10px 50px 10px;
	background-color: transparent;
	border: none;
}
.btn:focus{
	outline: none;
}
.navbar > div > ul {
	display: flex;
	justify-content: center;
	align-items: center;
	list-style: none;

}
.navbar > div > ul > li {
}
a button{
	text-decoration: none;
	color: white;
	font-weight: 400;

}


.about_me{
	height: 100vh;
	width: 100%;
	/*background-color: whitesmoke;*/
	background-image: linear-gradient(90deg, 
		rgba(255,255,255,0) 0%, 
		rgba(170,170,170,0) 53%, 
		rgba(149,149,149,0.6558998599439776) 100%), url(../images/paint.jpg);
	background-size: cover;
	background-position: center;
	background-attachment: fixed; 
	display: flex;
	justify-content: center;
	align-items: center;
}


.about_me > div {
	height: 90%;
	width: 100%;
	display: flex;
	justify-content: center;
	align-items: center;
/*	background-color: rgba(245, 245, 245, 0.78);*/
}

.left {
	width: 45%;
	height: 80%;
	display: flex;
	justify-content: center;
	align-items: center;
}
.left h1{
	font-size: 20px;
	width: 80%;
}

.right {
	width: 45%;
	height: 80%;
	display: flex;
	justify-content: center;
	align-items: center;
	flex-direction: column;
}
.right div{
	height: 70%;
	width: 80%;
	display: flex;
	justify-content: center;
	align-items: center;
	flex-direction: column;
}

.me {
	display: flex;
	justify-content: center;
	align-items: center;
	height: 90%;
	width: 90%;

}
.me > div {
	height: 200px;
	width: 200px;
	background-image: url(../images/dp4.jpg);
	background-size: cover;
	background-position: center;
	border-radius: 50%;
	border: 7px solid rgba(240, 240, 240, 0.55);


}
.right  i {
	width: 80%;
	font-weight: 800;
}

.projects {
	height: 200vh;
	width: 100%;
	background-color: whitesmoke;
	display: flex;
	justify-content: center;
	align-items: center;
	flex-direction: column;
}
/*.projects div {
	border: 0.3px solid red;

}*/

.cs {
	height: 30%;
	width: 80%;
	display: flex;
	justify-content: center;
	align-items: center;
}

.cs1-left, .cs2-right, .cs3-left{
	width: 55%;
	height: 80%;
}
.cs1-right, .cs2-left, .cs3-right{	
	width: 45%;
	height: 80%;
}
.cs1-left{
	background-image: url(../images/cs1.jpg);
	background-size: cover;
	background-position: center;
	border: 7px solid rgba(220, 220, 220, 0.65);
	animation-name: changeBackground;
	animation-duration: 20s;
	animation-iteration-count: infinite;
}
.cs1-right > div {
	height: 40%;
	width: 95%;
	display: flex;
	justify-content: center;
	flex-direction: column;
	margin: 0 5% 0;
}
.cs1-right h2{
	font-size: 1.4rem;
}
.cs1-right h4{
	margin-top: 10px;
	font-size: 0.6rem;
}
.cs1-right p{
	margin: 0 5% 0;
}
#cs1-btn {
	height: 30%;
	width: 100%;
	display: flex;
	flex-direction: row;
	justify-content: flex-start;
	align-items: center;
	margin:;
}
#cs1-btn div {
	height: 40px;
	width: 30%;
	display: flex;
	justify-content: center;
	align-items: center;
	background-color: rgba(220, 220, 220, 0.85);
	margin: 0 10px 0;
}
a {
	text-decoration: none;
	color: black;
}
.cs2-right {
	
	background-image: url(../images/cs2.jpg);
	background-size: cover;
	background-position: center;
	border: 7px solid rgba(220, 220, 220, 0.65);
}
.cs2-left > div {
	height: 40%;
	width: 95%;
	display: flex;
	justify-content: center;
	flex-direction: column;
	margin: 0 5% 0;
}
.cs2-left h2{
	font-size: 1.4rem;
}
.cs2-left h4{
	margin-top: 10px;
	font-size: 0.6rem;
}
.cs2-left p{
	margin: 0 5% 0;
}
.cs3-left {
	
	background-image: url(../images/cs3.jpg);
	background-size: cover;
	background-position: center;
	border: 7px solid rgba(220, 220, 220, 0.65);
}
.cs3-right > div {
	height: 40%;
	width: 95%;
	display: flex;
	justify-content: center;
	flex-direction: column;
	margin: 0 5% 0;
}
.cs3-right h2{
	font-size: 1.4rem;
}
.cs3-right h4{
	margin-top: 10px;
	font-size: 0.6rem;
}
.cs3-right p{
	margin: 0 5% 0;
}
.skills {
	height: 100vh;
	width: 100%;
	background-color: #212121;
	display: flex;
	justify-content: center;
	align-items: center;
}


.skills h1 {
	width: 100%;
	color:white;
	text-align: center;
}

.skills > div {
	height: 80%;
	width: 80%;
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
}

.skills-icons {
	height: 80%;
	width: 70%;
	display: flex;
	justify-content: center;
	align-items: center;
}




.html {
	border-bottom: 1px solid whitesmoke;
	border-right: 1px solid whitesmoke;
	height: 120px;
	width: 140px;
	content: url(../images/skills/html.png);
}
.html:hover {
	height: 120px;
	width: 140px;
	position: relative;
	bottom: 20px;
	border-top-left-radius: 30%;
	transition: .3s;
	background-color: whitesmoke;
	content: url(../images/skills/html2.png);
}

.css {
	border-bottom: 1px solid whitesmoke;
	border-right: 1px solid whitesmoke;
	height: 120px;
	width: 140px;
	content: url(../images/skills/css.png);
}

.css:hover {
	height: 120px;
	width: 140px;
	position: relative;
	bottom: 20px;
	border-top-left-radius: 30%;
	transition: .3s;
	background-color: whitesmoke;
	content: url(../images/skills/css2.png);
}

.js {
	border-right: 1px solid whitesmoke;
	height: 120px;
	width: 140px;
	content: url(../images/skills/js.png);
}

.js:hover {
	height: 120px;
	width: 140px;
	position: relative;
	bottom: 20px;
	border-top-left-radius: 30%;
	transition: .3s;
	background-color: whitesmoke;
	content: url(../images/skills/js2.png);
}

.git {
	border-bottom: 1px solid whitesmoke;
	border-right: 1px solid whitesmoke;
	height: 120px;
	width: 140px;
	content: url(../images/skills/git.png);
}

.git:hover {
	height: 120px;
	width: 140px;
	position: relative;
	bottom: 20px;
	border-top-left-radius: 30%;
	transition: .3s;
	background-color: whitesmoke;
	content: url(../images/skills/git2.png);
}

.graph {
	border-bottom: 1px solid whitesmoke;
	border-right: 1px solid whitesmoke;
	height: 120px;
	width: 140px;
	content: url(../images/skills/graph.png);
}
.graph:hover {
	height: 120px;
	width: 140px;
	position: relative;
	bottom: 20px;
	border-top-left-radius: 30%;
	transition: .3s;
	background-color: whitesmoke;
	content: url(../images/skills/graph2.png);
}

.jq {

	border-right: 1px solid whitesmoke;
	height: 120px;
	width: 140px;
	content: url(../images/skills/jq.png);
}
.jq:hover {
	height: 120px;
	width: 140px;
	position: relative;
	bottom: 20px;
	border-top-left-radius: 30%;
	transition: .3s;
	background-color: whitesmoke;
	content: url(../images/skills/jq2.png);
}

.lara {
	border-bottom: 1px solid whitesmoke;
	border-right: 1px solid whitesmoke;
	height: 120px;
	width: 140px;
	content: url(../images/skills/lara.png);
}

.lara:hover {
	height: 120px;
	width: 140px;
	position: relative;
	bottom: 20px;
	border-top-left-radius: 30%;
	transition: .3s;
	background-color: whitesmoke;
	content: url(../images/skills/lara2.png);
}

.mongo {
	border-bottom: 1px solid whitesmoke;
	border-right: 1px solid whitesmoke;
	height: 120px;
	width: 140px;
	content: url(../images/skills/mongo.png);
}

.mongo:hover {
	height: 120px;
	width: 140px;
	position: relative;
	bottom: 20px;
	border-top-left-radius: 30%;
	transition: .3s;
	background-color: whitesmoke;
	content: url(../images/skills/mongo2.png);
}

.node {

	border-right: 1px solid whitesmoke;
	height: 120px;
	width: 140px;
	content: url(../images/skills/node.png);
}
.node:hover {
	height: 120px;
	width: 140px;
	position: relative;
	bottom: 20px;
	border-top-left-radius: 30%;
	transition: .3s;
	background-color: whitesmoke;
	content: url(../images/skills/node2.png);
}

.php {
	border-bottom: 1px solid whitesmoke;
	height: 120px;
	width: 140px;
	content: url(../images/skills/php.png);
}
.php:hover {
	height: 120px;
	width: 140px;
	position: relative;
	bottom: 20px;
	border-top-left-radius: 30%;
	transition: .3s;
	background-color: whitesmoke;
	content: url(../images/skills/php2.png);
}

.ql {
	border-bottom: 1px solid whitesmoke;
	height: 120px;
	width: 140px;
	content: url(../images/skills/ql.png);
}
.ql:hover {
	height: 120px;
	width: 140px;
	position: relative;
	bottom: 20px;
	border-top-left-radius: 30%;
	transition: .3s;
	background-color: whitesmoke;
	content: url(../images/skills/ql2.png);
}

.sql {

	height: 120px;
	width: 140px;
	content: url(../images/skills/sql.png);

}
.sql:hover {
	height: 120px;
	width: 140px;
	position: relative;
	bottom: 20px;
	border-top-left-radius: 30%;
	transition: .3s;
	background-color: whitesmoke;
	content: url(../images/skills/sql2.png);
}



.contact_me {
	height: 100vh;
	width: 100%;
	background-image: url(../images/bg2.jpeg);
	background-size: cover;
	background-position: center;
	display: flex;
	justify-content: center;
	align-items: center;
}

.contact_me h1 {
	margin-bottom: 10px;
}
.contact_me > div {
	height: 80%;
	width: 70%;
	background-color: rgba(220, 220, 220, 0.80);
	display: flex;
	justify-content: center;
	align-items: center;
	flex-direction: column;
}
.forms > div {
	display: flex;
	justify-content: center;
	align-items: center;
}
.forms > form{
	height: 90%;
	width: 80%;
	background-color: white;
	display: flex;
	justify-content: center;
	align-items: center;
	text-align: center;
}
form > h4 {
	font-size: 50px;
	text-align: center;
	margin: 10px;
}
input{
	display: block;
	border: 1px solid brown;
	margin: 10px auto;
	height: 40px;
	width: 400px;
}
textarea {
	display: block;
	border: 1px solid brown;
	margin: 10px auto;
	height: 100px;
	width: 400px;
	resize: none;
}

.forms {
	border-radius: 20px;
	opacity: 0.9;
	height: 50vh;
	width: 50%;
	padding-top: 20px;
	display: flex;
	justify-content: center;
	align-items: center;
}
.forms h1 {
	color: white;
}

.btn-submit {
	padding: 10px;
	display: flex;
	align-items: center;
	justify-content: center;
	background-color: white;

}
form {
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
}


footer	{
	height: 25vh;
	width: 100%;
	background-color: #212121;
	display: flex;
	justify-content: center;
	align-items: center;
	flex-direction: column;
}


footer >div {
	height: 1px;
	width: 30%;
	display: flex;
	justify-content: center;
	align-items: center;
	position: relative;
}

.social {
	width: 30%;
	height: 50%;
	display: flex;
	justify-content: space-around;
	align-items: center;
}

footer img {
	width: 50px;
	height: 50px;
}

@keyframes changeBackground {
	20%{
		background-image: url(../images/about.jpg);
		
		} 
	40%{
		background-image: url(../images/services.jpg);
	
	}
	60%{
		background-image: url(../images/team.jpg);
		
		} 
	80%{
		background-image: url(../images/contact.jpg);
		
	}
	100%{
		background-image: url(../images/cs1.jpg);
		
		} 

} 

@media (min-aspect-ratio: 16/9) {


#myVideo {
    width:100%;
    height: auto;
    }
}
@media (max-aspect-ratio: 16/9) {
#myVideo {
	  width:auto;
        height: 100%;
    }

}

@media only screen and (min-width: 667px) and (max-width: 767px){


.forms {
	height: 80%;
	width: 100%;
}

form {
	height: 100%;
	width: 100%;
}

header h1 {
	font-size: 30px;
}
header h4 {
	font-size: 15px;
}
.btn {
	padding:0;
}	

	#myVideo {
        display: none;
}
header {
	width: auto;
	height: 92vh;
	background-image:radial-gradient(circle, 
		rgba(10,10,10,0.8799894957983193) 0%, 
		rgba(20,11,11,0.7987570028011204) 100%), url(../images/ipview.jpg);
	}
.about_me > div {
	flex-direction: row;
}
.btn {
	padding: 10px 20px 10px;
}	
.html,.css,.js,.sql,.ql,.php,.node,.mongo,.lara,.jq,.graph,.git {

	height: 70px;
	width: 90px;
}
.cs {
	height: 90%;
	width: 100%;
	flex-direction: column;
}
#projects {
	height: 400vh;
}
.cs2 {
	flex-direction: column-reverse;
	background-color: white;
}

.cs1-left,.cs1-right,.cs2-left,.cs2-right,.cs3-left,.cs3-right{
	width: 95%;
}

.contact_me {
	height: 150vh;
}
.right {
	width: 50%;
	height: 100%;
}
.left {
	width: 50%;
	height: 100%;
}
.left h1{
	font-size: 1rem;
	margin-left: 30px;
}


}


@media only screen and (min-width: 0px) and (max-width: 666px){
#myVideo {
        display: none;
}
header h1 {
	font-size: 30px;
}
header h4 {
	font-size: 15px;
}
header {
	width: auto;
	height: 92vh;
	background-image:radial-gradient(circle, 
		rgba(10,10,10,0.8799894957983193) 0%, 
		rgba(20,11,11,0.7987570028011204) 100%), url(../images/ipview.jpg);
	}

.html,.css,.js,.sql,.ql,.php,.node,.mongo,.lara,.jq,.graph,.git {

	height: 50px;
	width: 70px;

}

.cs {
	height: 90%;
	width: 100%;
	flex-direction: column;
}
#projects {
	height: 400vh;
}
.cs2 {
	flex-direction: column-reverse;
	background-color: white;
}

.cs1-left,.cs1-right,.cs2-left,.cs2-right,.cs3-left,.cs3-right{
	width: 95%;
}
.about_me{
	height: 120vh;
}
.about_me > div {
	flex-direction: column-reverse;
}

.forms {
	width: 100%;
}

form {
	width: 100%;
}
input{
	display: block;
	border: 1px solid brown;
	margin: 10px auto;
	height: 40px;
	width: 90%;
}
textarea {
	display: block;
	border: 1px solid brown;
	margin: 10px auto;
	height: 100px;
	width: 90%;
	resize: none;
}
.btn {
	padding: 10px 10px 10px;
}	
.right {
	width: 80%;
	height: 80%;
}
.left {
	width: 80%;
	height: 100%;
}
.left h1{
	font-size: 1rem;
}
}

